Although 1.3.x is technically an 'unstable' development branch, the reality
is that it is stable and functional enough for day-to-day use at this point.
Furthermore, due to our limited resources and considerable divergence between
codebases, we can no longer consider 1.2.x to be maintained in any sense beyond
the fact that we will continue to try and make sure it compiles against the
latest mozilla releases. This also means that any existing and future bugs
against 1.2.x which aren't relevant for 1.3.x will be closed as WONTFIX.

As such, we are formally recommending 1.3.8+ as the version of choice.

1.3.15 "Lots of changes under the hood"

- Works with Mozilla 1.4 through 1.7rc2 and trunk
- Requires gtk+ 2.4
- Major download re-write:
    - Much improved robustness; lots of crashes fixed
    - Improved filename generation when saving pages
    - Pages generated by a POST correctly saved
- Restored offline mode
- Restored ability to block cookie sites when removing cookies
- Improved layout of personal data manager
- Added context menu to links in page info dialog
- Added image save button to page info dialog
- Always show the menubar when F10 is pressed
- Use more stock icons from the current icon theme
- Implement user stylesheet support (put them in ~/.galeon/stylesheets)
- lots of other bug fixes

1.3.14 "Almost A One Man Army"

- Works with Mozilla 1.4 through 1.7b and trunk
- A lot of bug fixes from Crispin (and a couple from Phil)
- Support context menu key with 1.7b or newer
- Last gtk 2.2 based release. Next will require 2.4

1.3.13 "Let's try that again"

- Works with Mozilla 1.4 through 1.6 and trunk
- Stop the URL from disappearing from the location bar when
  loading pages in new tabs
- Add filtering and in-line cookie detail viewing to the
  Personal Data Manager.
- Preserve any accelerator changes
- Ensure type-ahead-find and emacs key modes work correctly
- Fix pasting of IDN domain names
- Many libegg port fixes:
   - Hook up Ctrl+KP_Plus and Ctrl+KP_subtract to zooming action
   - Implement a toolbar style override key, see README.ExtraPrefs
   - Ensure 'View Source' from a sidebar works
   - Add Print and "Save As" toolbar items
- Menu changes:
   - Use libegg for most dynamic menus
   - Put favicons in the 'Go', 'Back' and 'Forward' menus
   - Make the bookmark menu colours correct
   - Update the sensitivity of items in the Tab menu
   - Put Tab actions in the tab context menu
- Make history low-disk safe, and more robust when loading corrupted
  history files.
- lots of other bug fixes.

1.3.12 "The One With Documentation"

- Works with Mozilla 1.4 through 1.6 and trunk
- Switch to GNOME icon themes for spinners. See FAQ for using your old spinners
- Switched over to libegg from libbonoboui. Finally
  - Backend is a lot nicer now
  - Toolbar customisation using egg toolbar editor
  - Drag urls to bookmark toolbar to add them
  - Other nicer touches
- Properties dialog for pages restored
- Improved Bookmark properties dialog
- Interactive Add Bookmark/Add Tabs as Folder dialog
- More comprehensive hack for emacs keybindings. They now work correctly
  in mozilla form controls. Also, escape to leave typeaheadfind mode now works.
  At last!
- Disable open in new window/tab for urls that can't cope with it. 
  Mostly just javascript calls
- Encoding menu from epiphany :-)
- Tab Menu once agin lists tabs contained in window
- "Move Tab To Another Window" menu restored. Not forced to drag-and-drop tabs now.
- Warn if a tab is closed with a partially filled in form on it.
- *Lots* of misc bug fixes and tweaks.
- Cleaned up stale preferences and updated README.ExtraPrefs
- Updated Documentation. Yay!

1.3.11a "XXX: FIXED"

- Ensure that the font preferences are read from gconf correctly
  (spotted by Tim Jackson)

1.3.11 "XXX: FIXME"

- Works with Mozilla 1.4, 1.4.1, 1.5, 1.6b and trunk
- Add yet more Gtk versions of Mozilla PSM dialogs
- Use points rather than pixels for font sizes
- Improve tab insertion logic to add tabs to the end of the list
  when creating tabs unrelated to the current page.
- Implement per-host zoom saving
- Fix lots of little printing bugs
- Try and automatically fix broken charset preferences
- By popular demand, make Escape close the Find dialog
- Lots of bug fixes

1.3.10 "Which came first, the chicken or the egg?"

- Works with Mozilla 1.4, 1.4.1, 1.5, 1.6a and trunk
- Add Gtk dialogs for most of the mozilla PSM prompts
- Better errors if startup fails
- Importing of Epiphany bookmarks
- Use correct gnome icons in unknown mime type dialog
- Tabs can be dragged to another window when the tab bar isn't visible
- Lots and lots of bugfixes

1.3.9 "Space for rent"

- Works with Mozilla 1.4, 1.5a, 1.5b, and trunk
- Fixes form posting/stylesheet problems that slipped in 1.3.8
- Remove buggy man, info, toc -protocols, yelp does much better job
- Bugfixes

1.3.8 "What documentation?"

- Works with Mozilla 1.3.x, 1.4, 1.5a, 1.5b, and trunk
- Rewritten preferences dialog with more options to play with
- Radically overhauled bookmarks editor
- Alternate stylesheet menu
- Show favicons in notebook tabs
- Drag and drop improvements
- Lots and lots of bugfixes

1.3.7 "The paper bag"

- Works with Mozilla 1.3.x, 1.4, 1.5a, and trunk
- Fix several crashes in bookmarks properties, toolbar editor, web menu
- Add missing translations in places

1.3.6 "3,735,928,559"

- Works with Mozilla 1.3.x, 1.4, 1.5a, and trunk
- Translation sanity.
  If you have the appropriate langpack for your locale for mozilla installed, galeon will switch to it on start up.
- Try and switch to classic theme on start up to get native scrollbars
- Ctrl-Enter in location entry and auto-complete dropdown opens in new tab/window
- Ctrl-Enter and middle-click opens smartbookmark in new tab
- Toolbar button to toggle fullscreen mode
- Clear History actually works now
- Popup page context menu with Shift-F10
- Unblock an image from its context menu
- Some other bugfixes
- Misc optimisations

1.3.5 "It's not dead, it's resting"

- Works with Mozilla 1.3.x, 1.4a, 1.4b, 1.4rc1 and trunk
- Added popup-blocking controls (white-listing etc)
- Shift-Click to download is back.
- Clone Tab is back.
- Button to launch certificate manager in pref dialog back.
- Various bug fixes.
- FAQ Updated to reflect some common new 1.3.x questions

1.3.4 "Not bad for a dead guy"

- Works with Mozilla 1.3, 1.4a, 1.4b and trunk
- Restored password/image/password management to 1.2.x levels. Finally!
- Restored Quit menu-item which respects "Save session on exit pref". No UI yet.
- Background tabs should not steal urlbox focus when typing. Woohoo!
- Back/Forward history is now copied when links open in new tabs/windows.
- Tab orientation now configurable. See README.ExtraPrefs
- Use Mozilla's Gtk PromptService where supported.
- Finally updated to the mozilla > 0.9.9 module registration procedure. heh.
- Lots of bug fixes.

1.3.3 "Dead man browsing"

- Works with Mozilla 1.3a, 1.3b, 1.3 and trunk
- The shortcuts for popups/java/javascript are back!
- Bookmarks can be added in the context menu
- Proxy configuration capplet can be started from preferences
- Cookie Sites can be configured in Personal Data
- Context menu goodness for toolbar buttons
- Many improvements
- Fixes bugs raised by libbonoboui 2.2.0.1
- More bugfixes

1.3.2 "Stop calling us dead, or we'll haunt you"

- Works with Mozilla 1.3a, 1.3b and trunk
- Context menus for Back/Up/Forward buttons as well as bookmarks menu items
  are back!
- Bookmark editor improvements
- Native Cookie dialog again (yay!)
- Leverage nice disclosure widget from gnome-media. Used in cookie dialog,
  downloader and helper chooser.
- General Context Menu goodness (copy on selected text, big-endian fixes, etc)
- Better handling of non-western on-disk filename encoding.
- Updated default bookmarks
- Redesigned MyPortal
- Configure now reads the mozilla version from the pkgconfig files. No need
  to manually specify.
- Many, many bugfixes.
- API streamlining and sanity improvement

1.3.1

- Works with Mozilla 1.2.x and trunk. 1.2 requires a patch included with the
  galeon source tarball.
- Added compatability symbols so that gcc2 compiled plugins (esp. flash) will
  work if you compile with gcc3.x
- proxy preferences moved to gnome control center (you need control center
  version 2.1.2 or later to be able to configure proxies for ftp and https)
  We have migration code that will move proxy prefs over.
- right mouse button gestures are actually usable
- FTP browsing works again
- 'New' toolbar button restored
- tab detaching and dragging between windows
- saving and restoring GNOME session works again
- Ability to choose helper app restored
- bugfixes

1.3

Galeon 1.3 has been a nearly complete rewrite. Many features has
been retained, some have been dropped, some will be put back
in the future, a few have been added. List all the changes
would be too long, so just try it out :)

1.1

- nautilus view!
- new bookmarks format (we use XBEL now)
- new download dialog
- full favicon support
- ui cleanups
- bugfixes
- new crash recovery dialog
- "close other tabs"
- normal and smart url separation
- changes in the theme format, everything is png now
- "send link to"
- more printing options
- HTML "link" interface
- fullscreen and find toolbar buttons
- better author and user stylesheet support
- new theme (Aquatic)
- "find next"
- support for removing single items or whole hosts from history
- clearing history also clears the location entry history
- security information tooltip on the security icon
- ability to save and load individual bookmarks

Please note that some backwards compatibility hacks have been removed,
removing PREFIX/share/galeon before installing is recommended.

1.0

- bugfixes

0.12.7

- bugfixes

0.12.6

- bugfixes

0.12.5

- ability to drag tabs
- bugfixes

0.12.4

- mozilla 0.9.5 compatibility
- bugfixes

0.12.3

- bugfixes
- support for legacy mail clients
- prefs for default window layout

0.12.1

- mozilla 0.9.4 compatibility
- lots of bugfixes
- context menus for reload bypassing cache and proxy
- find dialog with new options
- author and user stylesheets support
- ghelp, info, man, toc support
- fix hangs on startup with new gnome-vfs
- allow blocking of plugins
- support for adding accels to bookmarks
- copy/cut/paste context menu for forms
- security icon on the statusbar
- improved MIME preferences page
- i18n fixes
- ability to save background image
- basic Xinerama support
- about plugins
- improved dragging of bookmarks to the toolbars
- proxy autoconfiguration
- bookmarks searching
- better focus behavior
- Don't repaint bookmarks toolbars when not necessary
- lots of usability improvements

0.12

- Java console
- full toolbar themability with a lot of cool themes
- separate handling of normal and bookmarks toolbar visibility
- ability to hide/show smartbookmarks entries
- optional smart bookmarks history
- optional smart bookmarks go button
- improved protocols handling
- lot of bugfixes

0.12pre3

- small bugfixes

0.12pre1
- Mozilla 0.9.3 compatibility
- gconf port WOOW ;)
- ability to save images, javascript, stylesheets with the page
- menu to move tabs
- user agent spoofing
- links drag and drop fixed
- a lot of bugfixes and some memory leak fixed

0.11.3
- fix critical bug !

0.11.2
- tons of bugfixes
- a lot of memory leaks fixed
- draggable tabs
- minimum font size
- better font defaults
- improved focus handling
- view source and save background fixed
- xbel importing support
- small startup time improvement 
- ability to pause downloads
- new spinner
- new preferences dialog look
- toolbar configurability
- most recent used sessions in file menu
- open / save the current session to a file

0.11.1
- downloader / launcher now fully functional
- mime type system remebers helper apps and can launch in terminal
- toolbar styling; horizontal/vertical/icon/text and normal/large/nautilus
- cut/copy/paste menu items (and shortcuts) work within browser
- option to always save session on quit (very handy!)
- generic handling of link opening, so shift and ctrl modifiers work everywhere
  (even in location entry and smart bookmarks -- try ctrl-return!)
- context menu on bookmarks (in menus and bookmarks editor)
- lot of prefs re-arranged for clarity and simplicity
- menu rearrangements, including some shortcut changes
- better popup blocking
- put folder actions into submenu
- enhanced myportal (now can do individual folders, adds to back/forward menu)
- lots of dialogs made prettier, and smaller (most should fit in 640x480 now)
- default bookmarks folder now alot more visible
- compatibility with mozilla 0.9.2.
- Slackware build scripts and package
- manpage
- huge vast massive number of bug fixes
- lots of usability improvements

0.11.0
- support for accepting self-signed certificates (SSL should work fully now)
- brand new download handler
- support for helper apps (for viewing downloads) through gnome-vfs
- shift-click downloading
- choice between built-in and external download handler for all methods
- printing works properly
- unicode page titles for non-latin1 languages
- internal view-source now working
- temporary bookmarks changed to default bookmarks
- fast history loader, use Galeon history for links colouring
- faster history viewer, dynamically updated, allows sorting again
- focus fixes, particularly for tabbed mode
- GTK+ dialogs for most of Mozillas prompts (like username/password)
- bookmarks copy / paste
- docked bookmarks editor
- bookmark editing code rehash, and some ui improvements
- exporting bookmarks dates to netscape and mozilla
- Sun portability improvements
- dialogs more consistent with GNOME standards
- context menus on lots of toolbar buttons
- optional fixed width tabs
- offline browsing (still problems with going back online?)
- initial panel applet support (not finished, still many issues)
- lots of memory leaks plugged
- lots of UI speedups and usability improvements
- lots of bugfixes

0.10.6
- mozilla 0.9 support
- improved downloads handling
- bugfixes

0.10.5
- printing (only with mozilla cvs)
- password manager (only with mozilla cvs)
- use GNOME dialogs for prompts (only with mozilla cvs)
- "New User" wizard including build of smart bookmarks toolbar
- new history dialog with grouping and searching
- new look bookmarks editor
- docked history view
- lots of keyboard shortcuts in dialogs
- tab close buttons deactivated when tab not at front
- automatic restart when interacting with sessions
- link click sound
- better "use image as background" option
- "New" button is now DnD target
- numbered shortcuts for go menu, back/forward histories
- allow bookmark keyboard shortcuts by putting "_" in titles
- date and time visited in bookmarks editor
- faster history saving -> faster window closing
- memory leaks plugged
- a lot of bugfixes
- a lot of usability improvements
- bookmarks aliases
- XBEL exporter (importer not yet done)

0.10.4
- mozilla 0.8.1 support
- better look for bookmarks dialog
- autoscrolling capability when rearranging bookmarks in the editor
- new functions for folders in the bookmarks menu
- use image as background
- server mode
- new tabbed mode preferences
- nautilus spinners support
- fixed toolbar layout saving
- optional up button
- optional new button
- filter context menus for unframed sites
- save image
- support for IE favourites icons
- clear cache fixed
- progress bar improvement 
- improved url autocompletion
- some icons tweaked 
- smart bookmarks on toolbars clickable
  (searches the document for the text in the entry)
- shortcut tweaks
- a lot of bugfixes
- a lot of usability improvements

0.10.2
- keyboard accelerators are now saved/restored between sessions
- --new-tab, --new-window, and --geometry command line options
- several crasher bugs fixed
- new prefs for configuring the tab name shortening procedure 
- new pref for disabling JavaScript status messages

0.10.1
- option to force popup windows to open in new tabs
- shift+middle click will perform the opposite of the default action
  (if you have open in new tabs selected as your default action,
  (Shift+Middle click will open a new window, and vice-versa)
- menu keyboard accelerators can be reconfigured (they are not yet
  saved between sessions, however)
- the usual assortment of bugfixes

0.10
- hybrid browsing (a mix between normal and tabbed mode)
- user manual
- cookie manager
- encoding menu
- spinner chooser
- support for nautilus icons
- control of image animations
- a lot of bufixes
- a lot of usability improvements

0.9pre3
- autocompletion support in open url dialog
- customization options for tabbed browsing
- session saving
- a lot of bugfixes

0.9pre1
- mozilla 0.7 compatibility
- fullscreen configurability
- bugfixes 

0.8.4
- remember visited links
- smart bookmarks
- cookie preferences
- mouse wheel preferences
- improved drag and drop
- improved full screen
- bookmarks can now be represented by images
- tabbed browsing
- a lot of bugfixes and small improvements

0.8.3
- autocompletion reworked
- autobookmarks
- improved bookmarks editor
- language autodetection
- real fullscreen
- fixed important bugs: freeze when opening new windows, 
scroll keys affecting textarea and text, history related crashes
- cookies (see ./configure to enable them when compiling from sources)

0.8.2
- MIME reworked. Ask what to do with unknown mime types.
- Compilation problems with RH7
- Lots of bugfixes
- Updated translations: fi sv no ro ko cs et fr es de pt_BR

0.8.1
- Lots of bug fixes
- Minor usability enhancements
- Command line downloader support
- Mime type handling changes
- Settings menu
- Updated translations: da sv hu es pt_BR lt nl de ro 

0.8
- Bug fixes
- More context menu options
- Netscape preference importing
- Bookmark exporting to Netscape/Mozilla format
- Clear cache feature
- Better keyboard support
- View->Hide/Show Menu option
- Translation updates: de es et fi hu nl sv pt_BR

0.7.7
- M18 API support
- Further DnD support
- Document and Image context menus
- Improved key handling
- New proxy related preferences
- New protocol and mime type handling
- Many bug fixes

0.7.6
- Show / hide go button. 
- Show Go button in the location toolbar
- more drag and drop
- languaje negotiation
- charset autodetection
- default charset selection
- bookmarks tooltips
- easier compilation on some systems (we hope... see ./configure --help)
- open bookmarks in new window with BUTTON2
- added command line option to add a temp bookmark and a new method in the 
  CORBA interface
- allow selection of alternative spinners
- improved My Portal feature
- bookmarks import improvements
- toolbar visibility issue resolved
- several bugs and crashes fixed

0.7.5
- bookmarks dialog rehashed: it support drag and drop, multiple selection, nicks, notes
- my portal new feature
- improved bookmarks importing
- improved temporary bookmarks 
- rearranged preferences dialog box
- CORBA warning fixed
- hide/show toolbar and statusbar
- save/open directory persistent
- bug fixes

0.7.4
- right-click context menu
- middle click open in new window
- temporary bookmarks
- keyboard scrolling
- bug fixes
- improved bookmark importing
- improved CORBA support
- mozilla-based view source

0.7.3
- find in page
- CORBA interface support
- view source
- save
- more translations
- various bug fixes
- new license (see COPYING.README)

0.7.2 
- various bug fixes
- html &code translation in bookmark importing (Almer Tigelaar, almer1@dds.nl)
- improved bookmark editing
- preserve window size
- page zoom spinbutton
- incremental progress bar
- Personal toolbar for bookmarks
- spinner (Matt Aubury <matt.aubury@embeddedsol.com>)
- list of recent sites visited in the Go menu
- files drag and drop (Joe Bester <bester@mcs.anl.gov>)
	
0.7.1
- URL auto completion / tab completion
- native gtk+ scrollbar support
- fixed frames/ftp crash (Nemmy, forever@subdimension.com)
- history support
- more options in preferences dialog (fonts, proxy, cache, download directory, java(script))
- import netscape bookmarks
- russian, french and danish translations
- Start page button

0.7
- better bookmarks editor: allows categories inside categories
- preferences: general, appearance, mime types
- logo (and icon)
- open a new window when javascript require
- gui generated by libglade
- command-line parameters: galeon URLS ...
- sv and es translations
	
0.6
- Go button
- Go menu and accelerators
- I have added a TODO
- new italian translation

0.5a
-Better starting script

0.5
-Bugfixes (bookmarks)
-History

0.4
-Bookmarks completed
-Many bugfixes
-RPM Redhat/Intel package

0.2
-Bookmarks (60% completed). You could add but not edit and delete. (but you
could edit manually the xml file).
- Download. You need Gnome Transfer Manager from 
<a href="http://gtm.sourceforge.net">http://gtm.sourceforge.net</a>
- Korean and Italian translations
- Bugfixes
